@extends('inventory.layout') 
@section('title', 'Edit Vehicle')
@section('content')
    <!-- push external head elements to head -->
    @push('head')
        <link rel="stylesheet" href="{{ asset('plugins/select2/dist/css/select2.min.css') }}">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Dropify/0.2.2/css/dropify.css">
        <style type="text/css">
            .gsterror{
                color: red;
            }
            .emailerror{
                color: red;
            }
            .gstverify{
                color: #4b9732;
            }
            .protable{
                overflow-x: auto;
            }
            .image-uploader{
                border: 1px solid #ADB5F8 !important;
            }
        </style>
    @endpush

    
    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <!-- <i class="ik ik-user-plus bg-blue"></i> -->
                        <div class="d-inline">
                            <h5>{{ __('Edit Vehicle')}}</h5>
                            <span>{{ __('Edit Vehicle')}}</span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="{{url('dashboard')}}"><i class="ik ik-home"></i></a>
                            </li>
                            <li class="breadcrumb-item">
                                <a href="#">{{ __('Edit Vehicle')}}</a>
                            </li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
        <form class="forms-sample" method="POST" action="{{ route('vehicle.update',$vehicle->id) }}" enctype= multipart/form-data id="vehicleform">
        @csrf
        @include('include.message')
        @Method("PUT")

            <div class="row">
                <!-- start message area-->
                
                <!-- end message area-->
                <div class="col-md-12">
                    <div class="card ">
                        <!-- <div class="card-header">
                            <strong><h3>{{ __('Basic Information')}}</h3></strong> 
                        </div>-->
                        <div class="card-body">
                            
                            <div class="row">
                                <div class="col-sm-3">
                                    <div class="form-group">
                                       <label class="d-block">Marke / Brand<span class="text-red">*</span></label>
                                       
                                        <select class="form-control " name="marke_id" id="marke"  required="">
                                            <option value="">Select Marke</option>
                                            @foreach($brands as $brand)
                                                @if($brand->id == $vehicle->marke_id )
                                                    <option value="{{$brand->id}}" selected="true" readonly> {{$brand->name}}</option>
                                                {{--@else
                                                    <option value="{{$brand->id}}">{{$brand->name}}</option> --}}
                                                @endif
                                            @endforeach
                                            
                                        </select>
                                        
                                    </div>
                                </div>
                                <div class="col-sm-3">  
                                    <div class="form-group">

                                        <label>Model<span class="text-red">*</span></label>
                                        <select class="form-control " name="model" id="model" required="" readonly>
                                        <option value="">Select Model</option>
                                        @if($vehicle->model == 'test' || $vehicle->model == 'demo')
                                            <option value="test" {{ ($vehicle->model) == 'test' ? 'selected' : '' }}>Test</option>
                                            <option value="demo" {{ ($vehicle->model) == 'demo' ? 'selected' : '' }}>Demo</option>
                                        {{--@else
                                            <option value="test">Test</option>
                                            <option value="demo">Demo</option>--}}
                                        @endif
                                    
                                        </select>    

                                    </div>
                                </div>
                                <div class="col-sm-3">    
                                        <div class="form-group">
                                            <label for="erstzulassung">Erstzulassung / Initial registration</label>
                                            <input id="erstzulassung" type="date" class="form-control" name="erstzulassung" value="{{isset ($vehicle->erstzulassung) ? $vehicle->erstzulassung:''}}" placeholder="Enter Erstzulassung" readonly>
                                            

                                        </div>
                                </div>
                                <div class="col-sm-3">
                                    <div class="form-group">
                                        <label for="kilometer">Kilometer</label>
                                        <input id="kilometer" type="text" class="form-control" name="kilometer" value="{{isset ($vehicle->kilometer) ? $vehicle->kilometer:''}}" placeholder="Enter kilometer" readonly>
                                    </div>
                                </div>
                                <div class="col-sm-3">
                                    <div class="form-group">
                                       <label class="d-block">Kraftstoffart / Fuel type<span class="text-red">*</span></label>
                                       
                                        <select class="form-control " name="kraftstoffart" id="kraftstoffart"  required="" readonly>
                                            <option value="">Select Kraftstoffart</option>
                                            @if($vehicle->kraftstoffart == 'petrol' || $vehicle->kraftstoffart == 'diesel')
                                                <option value="petrol" {{ ($vehicle->kraftstoffart) == 'petrol' ? 'selected' : '' }}>Petrol</option>
                                                <option value="diesel" {{ ($vehicle->kraftstoffart) == 'diesel' ? 'selected' : '' }}>Diesel</option>
                                            {{--@else
                                                <option value="petrol">Petrol</option>
                                                <option value="diesel">Diesel</option>--}}
                                            @endif
                                            
                                        </select>
                                        
                                    </div>
                                </div>
                                <div class="col-sm-3">
                                    <div class="form-group">
                                       <label class="d-block">Getriebeart / Gear type<span class="text-red">*</span></label>
                                       
                                        <select class="form-control " name="getriebeart" id="getriebeart"  required="" readonly>
                                            <option value="">Select Getriebeart</option>
                                            @if($vehicle->getriebeart == 'test' || $vehicle->getriebeart == 'demo')
                                                <option value="test" {{ ($vehicle->getriebeart) == 'test' ? 'selected' : '' }}>Test</option>
                                                <option value="demo" {{ ($vehicle->getriebeart) == 'demo' ? 'selected' : '' }}>Demo</option>
                                            {{--@else
                                                <option value="test">Test</option>
                                                <option value="demo">Demo</option>--}}
                                            @endif
                                        </select>
                                        
                                    </div>
                                </div>

                                <div class="col-sm-3">
                                    <div class="form-group">
                                       <label class="d-block">Fahrzeugart / Vehicle type<span class="text-red">*</span></label>
                                       
                                        <select class="form-control " name="fahrzeugart" id="fahrzeugart"  required="" readonly>
                                            <option value="">Select Fahrzeugart</option>
                                            @if($vehicle->fahrzeugart == 'convertible' || $vehicle->fahrzeugart == 'suv')
                                                <option value="convertible" {{ ($vehicle->fahrzeugart) == 'convertible' ? 'selected' : '' }}>Convertible</option>
                                                <option value="suv" {{ ($vehicle->fahrzeugart) == 'suv' ? 'selected' : '' }}>Suv</option>
                                            {{--@else
                                                <option value="convertible">Convertible</option>
                                                <option value="suv">Suv</option>--}}
                                            @endif
                                            
                                        </select>
                                        
                                    </div>
                                </div>
                                <div class="col-sm-3">
                                    <div class="form-group">
                                        <label for="last_name">Preisvorstellung / Asking price<span class="text-red">*</span></label>
                                        <input id="preisvorstellung" type="text" class="form-control" name="preisvorstellung" value="{{ isset($vehicle->fahrzeugart) ?  $vehicle->fahrzeugart:''}}" placeholder="Enter Preisvorstellung" required="" readonly>

                                    </div>
                                </div>

                                <div class="col-sm-3">
                                    <div class="form-group">
                                        <label for="last_name">Name<span class="text-red">*</span></label>
                                        <input id="name" type="text" class="form-control" name="name" value="{{ isset($vehicle->name) ?  $vehicle->name:''}}" placeholder="Enter Name" required="" readonly>

                                    </div>
                                </div>

                                <div class="col-sm-3">
                                    <div class="form-group">
                                        <label for="last_name">Telefonnummer<span class="text-red">*</span></label>
                                        <input id="telefonnummer" type="text" class="form-control" name="telefonnummer" value="{{ isset($vehicle->telefonnummer) ?  $vehicle->telefonnummer:''}}" placeholder="Enter Telefonnummer" required="" readonly>

                                    </div>
                                </div>

                                <div class="col-sm-3">
                                    <div class="form-group">
                                        <label for="last_name">Email<span class="text-red">*</span></label>
                                        <input id="email" type="text" class="form-control" name="email" value="{{ isset($vehicle->email) ?  $vehicle->email:''}}" placeholder="Enter Email" required="" readonly>

                                    </div>
                                </div>

                                <div class="col-sm-3">
                                    <div class="form-group">
                                        <label for="plz">PLZ / Postal Code<span class="text-red">*</span></label>
                                        <input id="plz" type="text" class="form-control" name="plz" value="{{ isset($vehicle->plz) ?  $vehicle->plz:''}}" placeholder="Enter PLZ" required="" readonly>

                                    </div>
                                </div>

                                <div class="col-sm-3">
                                    <div class="form-group">
                                        <label for="ort">Ort / City<span class="text-red">*</span></label>
                                        <input id="ort" type="text" class="form-control" name="ort" value="{{ isset($vehicle->ort) ?  $vehicle->ort:''}}" placeholder="Enter ORT" required="" readonly>

                                    </div>
                                </div>

                                <div class="col-sm-3">
                                    
                                    <div class="form-group">
                                        <label>Bilder/Images </label>
                                         <div class="input-images" data-input-name="itemimages" data-label="Bilder"></div>
                                         @if(isset($vehicle->vehicleimage))
                                                @foreach($vehicle->vehicleimage as $gallerydetail)
                                                <img class='thumbnail' src="{{ url('images/upload/itemthumbnail/'.$gallerydetail['bilder'])}}" style="width: 30%"/>
                                               
                                                @endforeach
                                            
                                            
                                            @endif
                                    </div>
                                </div>

                                <div class="col-sm-3">
                                    <div class="form-group">
                                        <label for="nachricht">Nachricht / Message<span class="text-red">*</span></label>
                                        <textarea id="nachricht" type="text" class="form-control" name="nachricht"  required="" readonly>{{ isset($vehicle->nachricht) ?  $vehicle->nachricht:''}}</textarea>

                                    </div>
                                </div>
                                
                            </div>
                            
                           
                        </div>

                        {{--<div class="col-md-12" style="text-align: center;">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary">{{ __('Update')}}</button>
                                </div>
                        </div>--}}
                    </div>
                </div>
            </div>


        </form>
    </div>
    <!-- push external js -->
    @push('script') 
    
     
    @endpush
@endsection
